function pt=CANTestpt
pt = [];

  
pt(1).blockname = 'DAQ_In/CAN Read1';
pt(1).paramname = 'P1';
pt(1).class     = 'scalar';
pt(1).nrows     = 1;
pt(1).ncols     = 1;
pt(1).subsource = 'SS_DOUBLE';
pt(1).ndims     = '2';
pt(1).size      = '[]';
pt(1).isStruct  = false;
pt(1).symbol     = 'CANTest_P.CANRead1_P1';
pt(1).baseaddr   = '&CANTest_P.CANRead1_P1';
pt(1).dtname     = 'real_T';

pt(getlenPT) = pt(1);


  
pt(2).blockname = 'DAQ_In/CAN Read1';
pt(2).paramname = 'P2';
pt(2).class     = 'scalar';
pt(2).nrows     = 1;
pt(2).ncols     = 1;
pt(2).subsource = 'SS_DOUBLE';
pt(2).ndims     = '2';
pt(2).size      = '[]';
pt(2).isStruct  = false;
pt(2).symbol     = 'CANTest_P.CANRead1_P2';
pt(2).baseaddr   = '&CANTest_P.CANRead1_P2';
pt(2).dtname     = 'real_T';



  
pt(3).blockname = 'DAQ_In/CAN Read1';
pt(3).paramname = 'P3';
pt(3).class     = 'scalar';
pt(3).nrows     = 1;
pt(3).ncols     = 1;
pt(3).subsource = 'SS_DOUBLE';
pt(3).ndims     = '2';
pt(3).size      = '[]';
pt(3).isStruct  = false;
pt(3).symbol     = 'CANTest_P.CANRead1_P3';
pt(3).baseaddr   = '&CANTest_P.CANRead1_P3';
pt(3).dtname     = 'real_T';



  
pt(4).blockname = 'DAQ_In/CAN Read1';
pt(4).paramname = 'P4';
pt(4).class     = 'vector';
pt(4).nrows     = 1;
pt(4).ncols     = 5;
pt(4).subsource = 'SS_DOUBLE';
pt(4).ndims     = '2';
pt(4).size      = '[]';
pt(4).isStruct  = false;
pt(4).symbol     = 'CANTest_P.CANRead1_P4';
pt(4).baseaddr   = '&CANTest_P.CANRead1_P4[0]';
pt(4).dtname     = 'real_T';



  
pt(5).blockname = 'DAQ_In/CAN Read1';
pt(5).paramname = 'P5';
pt(5).class     = 'scalar';
pt(5).nrows     = 1;
pt(5).ncols     = 1;
pt(5).subsource = 'SS_DOUBLE';
pt(5).ndims     = '2';
pt(5).size      = '[]';
pt(5).isStruct  = false;
pt(5).symbol     = 'CANTest_P.CANRead1_P5';
pt(5).baseaddr   = '&CANTest_P.CANRead1_P5';
pt(5).dtname     = 'real_T';



  
pt(6).blockname = 'DAQ_In/CAN Read1';
pt(6).paramname = 'P6';
pt(6).class     = 'scalar';
pt(6).nrows     = 1;
pt(6).ncols     = 1;
pt(6).subsource = 'SS_DOUBLE';
pt(6).ndims     = '2';
pt(6).size      = '[]';
pt(6).isStruct  = false;
pt(6).symbol     = 'CANTest_P.CANRead1_P6';
pt(6).baseaddr   = '&CANTest_P.CANRead1_P6';
pt(6).dtname     = 'real_T';



  
pt(7).blockname = 'DAQ_In/CAN Setup';
pt(7).paramname = 'P1';
pt(7).class     = 'scalar';
pt(7).nrows     = 1;
pt(7).ncols     = 1;
pt(7).subsource = 'SS_DOUBLE';
pt(7).ndims     = '2';
pt(7).size      = '[]';
pt(7).isStruct  = false;
pt(7).symbol     = 'CANTest_P.CANSetup_P1';
pt(7).baseaddr   = '&CANTest_P.CANSetup_P1';
pt(7).dtname     = 'real_T';



  
pt(8).blockname = 'DAQ_In/CAN Setup';
pt(8).paramname = 'P2';
pt(8).class     = 'vector';
pt(8).nrows     = 1;
pt(8).ncols     = 2;
pt(8).subsource = 'SS_DOUBLE';
pt(8).ndims     = '2';
pt(8).size      = '[]';
pt(8).isStruct  = false;
pt(8).symbol     = 'CANTest_P.CANSetup_P2';
pt(8).baseaddr   = '&CANTest_P.CANSetup_P2[0]';
pt(8).dtname     = 'real_T';



  
pt(9).blockname = 'DAQ_In/CAN Setup';
pt(9).paramname = 'P3';
pt(9).class     = 'scalar';
pt(9).nrows     = 1;
pt(9).ncols     = 1;
pt(9).subsource = 'SS_DOUBLE';
pt(9).ndims     = '2';
pt(9).size      = '[]';
pt(9).isStruct  = false;
pt(9).symbol     = 'CANTest_P.CANSetup_P3';
pt(9).baseaddr   = '&CANTest_P.CANSetup_P3';
pt(9).dtname     = 'real_T';



  
pt(10).blockname = 'DAQ_In/CAN Setup';
pt(10).paramname = 'P4';
pt(10).class     = 'scalar';
pt(10).nrows     = 1;
pt(10).ncols     = 1;
pt(10).subsource = 'SS_DOUBLE';
pt(10).ndims     = '2';
pt(10).size      = '[]';
pt(10).isStruct  = false;
pt(10).symbol     = 'CANTest_P.CANSetup_P4';
pt(10).baseaddr   = '&CANTest_P.CANSetup_P4';
pt(10).dtname     = 'real_T';



  
pt(11).blockname = 'DAQ_In/CAN Setup';
pt(11).paramname = 'P5';
pt(11).class     = 'scalar';
pt(11).nrows     = 1;
pt(11).ncols     = 1;
pt(11).subsource = 'SS_DOUBLE';
pt(11).ndims     = '2';
pt(11).size      = '[]';
pt(11).isStruct  = false;
pt(11).symbol     = 'CANTest_P.CANSetup_P5';
pt(11).baseaddr   = '&CANTest_P.CANSetup_P5';
pt(11).dtname     = 'real_T';



  
pt(12).blockname = 'DAQ_In/CAN Setup';
pt(12).paramname = 'P6';
pt(12).class     = 'scalar';
pt(12).nrows     = 1;
pt(12).ncols     = 1;
pt(12).subsource = 'SS_DOUBLE';
pt(12).ndims     = '2';
pt(12).size      = '[]';
pt(12).isStruct  = false;
pt(12).symbol     = 'CANTest_P.CANSetup_P6';
pt(12).baseaddr   = '&CANTest_P.CANSetup_P6';
pt(12).dtname     = 'real_T';



  
pt(13).blockname = 'DAQ_In/CAN Setup';
pt(13).paramname = 'P7';
pt(13).class     = 'vector';
pt(13).nrows     = 1;
pt(13).ncols     = 4;
pt(13).subsource = 'SS_DOUBLE';
pt(13).ndims     = '2';
pt(13).size      = '[]';
pt(13).isStruct  = false;
pt(13).symbol     = 'CANTest_P.CANSetup_P7';
pt(13).baseaddr   = '&CANTest_P.CANSetup_P7[0]';
pt(13).dtname     = 'real_T';



  
pt(14).blockname = 'DAQ_In/CAN Setup';
pt(14).paramname = 'P8';
pt(14).class     = 'vector';
pt(14).nrows     = 1;
pt(14).ncols     = 6;
pt(14).subsource = 'SS_DOUBLE';
pt(14).ndims     = '2';
pt(14).size      = '[]';
pt(14).isStruct  = false;
pt(14).symbol     = 'CANTest_P.CANSetup_P8';
pt(14).baseaddr   = '&CANTest_P.CANSetup_P8[0]';
pt(14).dtname     = 'real_T';



  
pt(15).blockname = 'DAQ_In/CAN Setup';
pt(15).paramname = 'P9';
pt(15).class     = 'vector';
pt(15).nrows     = 1;
pt(15).ncols     = 2;
pt(15).subsource = 'SS_DOUBLE';
pt(15).ndims     = '2';
pt(15).size      = '[]';
pt(15).isStruct  = false;
pt(15).symbol     = 'CANTest_P.CANSetup_P9';
pt(15).baseaddr   = '&CANTest_P.CANSetup_P9[0]';
pt(15).dtname     = 'real_T';



  
pt(16).blockname = 'DAQ_In/CAN Setup';
pt(16).paramname = 'P10';
pt(16).class     = 'vector';
pt(16).nrows     = 1;
pt(16).ncols     = 2;
pt(16).subsource = 'SS_DOUBLE';
pt(16).ndims     = '2';
pt(16).size      = '[]';
pt(16).isStruct  = false;
pt(16).symbol     = 'CANTest_P.CANSetup_P10';
pt(16).baseaddr   = '&CANTest_P.CANSetup_P10[0]';
pt(16).dtname     = 'real_T';



  
pt(17).blockname = 'DAQ_In/CAN Setup';
pt(17).paramname = 'P11';
pt(17).class     = 'scalar';
pt(17).nrows     = 1;
pt(17).ncols     = 1;
pt(17).subsource = 'SS_DOUBLE';
pt(17).ndims     = '2';
pt(17).size      = '[]';
pt(17).isStruct  = false;
pt(17).symbol     = 'CANTest_P.CANSetup_P11';
pt(17).baseaddr   = '&CANTest_P.CANSetup_P11';
pt(17).dtname     = 'real_T';



  
pt(18).blockname = 'DAQ_In/CAN Setup';
pt(18).paramname = 'P12';
pt(18).class     = 'vector';
pt(18).nrows     = 1;
pt(18).ncols     = 4;
pt(18).subsource = 'SS_DOUBLE';
pt(18).ndims     = '2';
pt(18).size      = '[]';
pt(18).isStruct  = false;
pt(18).symbol     = 'CANTest_P.CANSetup_P12';
pt(18).baseaddr   = '&CANTest_P.CANSetup_P12[0]';
pt(18).dtname     = 'real_T';



  
pt(19).blockname = 'DAQ_In/CAN Setup';
pt(19).paramname = 'P13';
pt(19).class     = 'vector';
pt(19).nrows     = 1;
pt(19).ncols     = 6;
pt(19).subsource = 'SS_DOUBLE';
pt(19).ndims     = '2';
pt(19).size      = '[]';
pt(19).isStruct  = false;
pt(19).symbol     = 'CANTest_P.CANSetup_P13';
pt(19).baseaddr   = '&CANTest_P.CANSetup_P13[0]';
pt(19).dtname     = 'real_T';



  
pt(20).blockname = 'DAQ_In/CAN Setup';
pt(20).paramname = 'P14';
pt(20).class     = 'vector';
pt(20).nrows     = 1;
pt(20).ncols     = 2;
pt(20).subsource = 'SS_DOUBLE';
pt(20).ndims     = '2';
pt(20).size      = '[]';
pt(20).isStruct  = false;
pt(20).symbol     = 'CANTest_P.CANSetup_P14';
pt(20).baseaddr   = '&CANTest_P.CANSetup_P14[0]';
pt(20).dtname     = 'real_T';



  
pt(21).blockname = 'DAQ_In/CAN Setup';
pt(21).paramname = 'P15';
pt(21).class     = 'vector';
pt(21).nrows     = 1;
pt(21).ncols     = 2;
pt(21).subsource = 'SS_DOUBLE';
pt(21).ndims     = '2';
pt(21).size      = '[]';
pt(21).isStruct  = false;
pt(21).symbol     = 'CANTest_P.CANSetup_P15';
pt(21).baseaddr   = '&CANTest_P.CANSetup_P15[0]';
pt(21).dtname     = 'real_T';



  
pt(22).blockname = 'DAQ_In/CAN Setup';
pt(22).paramname = 'P16';
pt(22).class     = 'scalar';
pt(22).nrows     = 1;
pt(22).ncols     = 1;
pt(22).subsource = 'SS_DOUBLE';
pt(22).ndims     = '2';
pt(22).size      = '[]';
pt(22).isStruct  = false;
pt(22).symbol     = 'CANTest_P.CANSetup_P16';
pt(22).baseaddr   = '&CANTest_P.CANSetup_P16';
pt(22).dtname     = 'real_T';



  
pt(23).blockname = 'DAQ_In/CAN Setup';
pt(23).paramname = 'P17';
pt(23).class     = 'scalar';
pt(23).nrows     = 1;
pt(23).ncols     = 1;
pt(23).subsource = 'SS_DOUBLE';
pt(23).ndims     = '2';
pt(23).size      = '[]';
pt(23).isStruct  = false;
pt(23).symbol     = 'CANTest_P.CANSetup_P17';
pt(23).baseaddr   = '&CANTest_P.CANSetup_P17';
pt(23).dtname     = 'real_T';



  
pt(24).blockname = 'DAQ_In/CAN Setup';
pt(24).paramname = 'P18';
pt(24).class     = 'vector';
pt(24).nrows     = 1;
pt(24).ncols     = 5;
pt(24).subsource = 'SS_DOUBLE';
pt(24).ndims     = '2';
pt(24).size      = '[]';
pt(24).isStruct  = false;
pt(24).symbol     = 'CANTest_P.CANSetup_P18';
pt(24).baseaddr   = '&CANTest_P.CANSetup_P18[0]';
pt(24).dtname     = 'real_T';



  
pt(25).blockname = 'DAQ_In/CAN Setup';
pt(25).paramname = 'P19';
pt(25).class     = 'scalar';
pt(25).nrows     = 1;
pt(25).ncols     = 1;
pt(25).subsource = 'SS_DOUBLE';
pt(25).ndims     = '2';
pt(25).size      = '[]';
pt(25).isStruct  = false;
pt(25).symbol     = 'CANTest_P.CANSetup_P19';
pt(25).baseaddr   = '&CANTest_P.CANSetup_P19';
pt(25).dtname     = 'real_T';



  
pt(26).blockname = 'DAQ_In/CAN Setup';
pt(26).paramname = 'P20';
pt(26).class     = 'vector';
pt(26).nrows     = 1;
pt(26).ncols     = 2;
pt(26).subsource = 'SS_DOUBLE';
pt(26).ndims     = '2';
pt(26).size      = '[]';
pt(26).isStruct  = false;
pt(26).symbol     = 'CANTest_P.CANSetup_P20';
pt(26).baseaddr   = '&CANTest_P.CANSetup_P20[0]';
pt(26).dtname     = 'real_T';



  
pt(27).blockname = 'DAQ_In/CAN Setup';
pt(27).paramname = 'P21';
pt(27).class     = 'vector';
pt(27).nrows     = 1;
pt(27).ncols     = 2;
pt(27).subsource = 'SS_DOUBLE';
pt(27).ndims     = '2';
pt(27).size      = '[]';
pt(27).isStruct  = false;
pt(27).symbol     = 'CANTest_P.CANSetup_P21';
pt(27).baseaddr   = '&CANTest_P.CANSetup_P21[0]';
pt(27).dtname     = 'real_T';



  
pt(28).blockname = 'DAQ_In/CAN Setup';
pt(28).paramname = 'P22';
pt(28).class     = 'vector';
pt(28).nrows     = 1;
pt(28).ncols     = 2;
pt(28).subsource = 'SS_DOUBLE';
pt(28).ndims     = '2';
pt(28).size      = '[]';
pt(28).isStruct  = false;
pt(28).symbol     = 'CANTest_P.CANSetup_P22';
pt(28).baseaddr   = '&CANTest_P.CANSetup_P22[0]';
pt(28).dtname     = 'real_T';



  
pt(29).blockname = 'DAQ_In/CAN Setup';
pt(29).paramname = 'P23';
pt(29).class     = 'vector';
pt(29).nrows     = 1;
pt(29).ncols     = 2;
pt(29).subsource = 'SS_DOUBLE';
pt(29).ndims     = '2';
pt(29).size      = '[]';
pt(29).isStruct  = false;
pt(29).symbol     = 'CANTest_P.CANSetup_P23';
pt(29).baseaddr   = '&CANTest_P.CANSetup_P23[0]';
pt(29).dtname     = 'real_T';



  
pt(30).blockname = 'DAQ_In/CAN Setup';
pt(30).paramname = 'P24';
pt(30).class     = 'scalar';
pt(30).nrows     = 1;
pt(30).ncols     = 1;
pt(30).subsource = 'SS_DOUBLE';
pt(30).ndims     = '2';
pt(30).size      = '[]';
pt(30).isStruct  = false;
pt(30).symbol     = 'CANTest_P.CANSetup_P24';
pt(30).baseaddr   = '&CANTest_P.CANSetup_P24';
pt(30).dtname     = 'real_T';



  
pt(31).blockname = 'Mon_Cont/Constant1';
pt(31).paramname = 'Value';
pt(31).class     = 'scalar';
pt(31).nrows     = 1;
pt(31).ncols     = 1;
pt(31).subsource = 'SS_DOUBLE';
pt(31).ndims     = '2';
pt(31).size      = '[]';
pt(31).isStruct  = false;
pt(31).symbol     = 'CANTest_P.Constant1_Value_j';
pt(31).baseaddr   = '&CANTest_P.Constant1_Value_j';
pt(31).dtname     = 'real_T';



  
pt(32).blockname = 'Mon_Cont/ContMode';
pt(32).paramname = 'Value';
pt(32).class     = 'scalar';
pt(32).nrows     = 1;
pt(32).ncols     = 1;
pt(32).subsource = 'SS_DOUBLE';
pt(32).ndims     = '2';
pt(32).size      = '[]';
pt(32).isStruct  = false;
pt(32).symbol     = 'CANTest_P.ContMode_Value';
pt(32).baseaddr   = '&CANTest_P.ContMode_Value';
pt(32).dtname     = 'real_T';



  
pt(33).blockname = 'Mon_Cont/TQCom';
pt(33).paramname = 'Value';
pt(33).class     = 'scalar';
pt(33).nrows     = 1;
pt(33).ncols     = 1;
pt(33).subsource = 'SS_DOUBLE';
pt(33).ndims     = '2';
pt(33).size      = '[]';
pt(33).isStruct  = false;
pt(33).symbol     = 'CANTest_P.TQCom_Value';
pt(33).baseaddr   = '&CANTest_P.TQCom_Value';
pt(33).dtname     = 'real_T';



  
pt(34).blockname = 'Mon_Cont/ContM';
pt(34).paramname = 'Gain';
pt(34).class     = 'scalar';
pt(34).nrows     = 1;
pt(34).ncols     = 1;
pt(34).subsource = 'SS_DOUBLE';
pt(34).ndims     = '2';
pt(34).size      = '[]';
pt(34).isStruct  = false;
pt(34).symbol     = 'CANTest_P.ContM_Gain';
pt(34).baseaddr   = '&CANTest_P.ContM_Gain';
pt(34).dtname     = 'real_T';



  
pt(35).blockname = 'DAQ_Out/CANBoard/Constant';
pt(35).paramname = 'Value';
pt(35).class     = 'scalar';
pt(35).nrows     = 1;
pt(35).ncols     = 1;
pt(35).subsource = 'SS_DOUBLE';
pt(35).ndims     = '2';
pt(35).size      = '[]';
pt(35).isStruct  = false;
pt(35).symbol     = 'CANTest_P.Constant_Value';
pt(35).baseaddr   = '&CANTest_P.Constant_Value';
pt(35).dtname     = 'real_T';



  
pt(36).blockname = 'DAQ_Out/CANBoard/Constant1';
pt(36).paramname = 'Value';
pt(36).class     = 'scalar';
pt(36).nrows     = 1;
pt(36).ncols     = 1;
pt(36).subsource = 'SS_DOUBLE';
pt(36).ndims     = '2';
pt(36).size      = '[]';
pt(36).isStruct  = false;
pt(36).symbol     = 'CANTest_P.Constant1_Value';
pt(36).baseaddr   = '&CANTest_P.Constant1_Value';
pt(36).dtname     = 'real_T';



  
pt(37).blockname = 'DAQ_Out/CANBoard/Constant2';
pt(37).paramname = 'Value';
pt(37).class     = 'scalar';
pt(37).nrows     = 1;
pt(37).ncols     = 1;
pt(37).subsource = 'SS_DOUBLE';
pt(37).ndims     = '2';
pt(37).size      = '[]';
pt(37).isStruct  = false;
pt(37).symbol     = 'CANTest_P.Constant2_Value';
pt(37).baseaddr   = '&CANTest_P.Constant2_Value';
pt(37).dtname     = 'real_T';



  
pt(38).blockname = 'DAQ_Out/CANBoard/Constant3';
pt(38).paramname = 'Value';
pt(38).class     = 'scalar';
pt(38).nrows     = 1;
pt(38).ncols     = 1;
pt(38).subsource = 'SS_DOUBLE';
pt(38).ndims     = '2';
pt(38).size      = '[]';
pt(38).isStruct  = false;
pt(38).symbol     = 'CANTest_P.Constant3_Value';
pt(38).baseaddr   = '&CANTest_P.Constant3_Value';
pt(38).dtname     = 'real_T';



  
pt(39).blockname = 'DAQ_Out/CANBoard/Constant4';
pt(39).paramname = 'Value';
pt(39).class     = 'scalar';
pt(39).nrows     = 1;
pt(39).ncols     = 1;
pt(39).subsource = 'SS_DOUBLE';
pt(39).ndims     = '2';
pt(39).size      = '[]';
pt(39).isStruct  = false;
pt(39).symbol     = 'CANTest_P.Constant4_Value';
pt(39).baseaddr   = '&CANTest_P.Constant4_Value';
pt(39).dtname     = 'real_T';



  
pt(40).blockname = 'DAQ_Out/CANBoard/CAN Write1';
pt(40).paramname = 'P1';
pt(40).class     = 'scalar';
pt(40).nrows     = 1;
pt(40).ncols     = 1;
pt(40).subsource = 'SS_DOUBLE';
pt(40).ndims     = '2';
pt(40).size      = '[]';
pt(40).isStruct  = false;
pt(40).symbol     = 'CANTest_P.CANWrite1_P1';
pt(40).baseaddr   = '&CANTest_P.CANWrite1_P1';
pt(40).dtname     = 'real_T';



  
pt(41).blockname = 'DAQ_Out/CANBoard/CAN Write1';
pt(41).paramname = 'P2';
pt(41).class     = 'scalar';
pt(41).nrows     = 1;
pt(41).ncols     = 1;
pt(41).subsource = 'SS_DOUBLE';
pt(41).ndims     = '2';
pt(41).size      = '[]';
pt(41).isStruct  = false;
pt(41).symbol     = 'CANTest_P.CANWrite1_P2';
pt(41).baseaddr   = '&CANTest_P.CANWrite1_P2';
pt(41).dtname     = 'real_T';



  
pt(42).blockname = 'DAQ_Out/CANBoard/CAN Write1';
pt(42).paramname = 'P3';
pt(42).class     = 'scalar';
pt(42).nrows     = 1;
pt(42).ncols     = 1;
pt(42).subsource = 'SS_DOUBLE';
pt(42).ndims     = '2';
pt(42).size      = '[]';
pt(42).isStruct  = false;
pt(42).symbol     = 'CANTest_P.CANWrite1_P3';
pt(42).baseaddr   = '&CANTest_P.CANWrite1_P3';
pt(42).dtname     = 'real_T';



  
pt(43).blockname = 'DAQ_Out/CANBoard/CAN Write1';
pt(43).paramname = 'P4';
pt(43).class     = 'scalar';
pt(43).nrows     = 1;
pt(43).ncols     = 1;
pt(43).subsource = 'SS_DOUBLE';
pt(43).ndims     = '2';
pt(43).size      = '[]';
pt(43).isStruct  = false;
pt(43).symbol     = 'CANTest_P.CANWrite1_P4';
pt(43).baseaddr   = '&CANTest_P.CANWrite1_P4';
pt(43).dtname     = 'real_T';



  
pt(44).blockname = 'DAQ_Out/CANBoard/CAN Write1';
pt(44).paramname = 'P5';
pt(44).class     = 'vector';
pt(44).nrows     = 1;
pt(44).ncols     = 5;
pt(44).subsource = 'SS_DOUBLE';
pt(44).ndims     = '2';
pt(44).size      = '[]';
pt(44).isStruct  = false;
pt(44).symbol     = 'CANTest_P.CANWrite1_P5';
pt(44).baseaddr   = '&CANTest_P.CANWrite1_P5[0]';
pt(44).dtname     = 'real_T';



  
pt(45).blockname = 'DAQ_Out/CANBoard/CAN Write1';
pt(45).paramname = 'P6';
pt(45).class     = 'scalar';
pt(45).nrows     = 1;
pt(45).ncols     = 1;
pt(45).subsource = 'SS_DOUBLE';
pt(45).ndims     = '2';
pt(45).size      = '[]';
pt(45).isStruct  = false;
pt(45).symbol     = 'CANTest_P.CANWrite1_P6';
pt(45).baseaddr   = '&CANTest_P.CANWrite1_P6';
pt(45).dtname     = 'real_T';



  
pt(46).blockname = 'DAQ_Out/CANBoard/CAN Write1';
pt(46).paramname = 'P7';
pt(46).class     = 'scalar';
pt(46).nrows     = 1;
pt(46).ncols     = 1;
pt(46).subsource = 'SS_DOUBLE';
pt(46).ndims     = '2';
pt(46).size      = '[]';
pt(46).isStruct  = false;
pt(46).symbol     = 'CANTest_P.CANWrite1_P7';
pt(46).baseaddr   = '&CANTest_P.CANWrite1_P7';
pt(46).dtname     = 'real_T';



  
pt(47).blockname = 'Mon_Cont/LPFM/Constant1';
pt(47).paramname = 'Value';
pt(47).class     = 'scalar';
pt(47).nrows     = 1;
pt(47).ncols     = 1;
pt(47).subsource = 'SS_DOUBLE';
pt(47).ndims     = '2';
pt(47).size      = '[]';
pt(47).isStruct  = false;
pt(47).symbol     = 'CANTest_P.Constant1_Value_a';
pt(47).baseaddr   = '&CANTest_P.Constant1_Value_a';
pt(47).dtname     = 'real_T';



  
pt(48).blockname = 'Mon_Cont/LPFM/gain1';
pt(48).paramname = 'Gain';
pt(48).class     = 'scalar';
pt(48).nrows     = 1;
pt(48).ncols     = 1;
pt(48).subsource = 'SS_DOUBLE';
pt(48).ndims     = '2';
pt(48).size      = '[]';
pt(48).isStruct  = false;
pt(48).symbol     = 'CANTest_P.gain1_Gain';
pt(48).baseaddr   = '&CANTest_P.gain1_Gain';
pt(48).dtname     = 'real_T';



  
pt(49).blockname = 'Mon_Cont/LPFM/gain2';
pt(49).paramname = 'Gain';
pt(49).class     = 'scalar';
pt(49).nrows     = 1;
pt(49).ncols     = 1;
pt(49).subsource = 'SS_DOUBLE';
pt(49).ndims     = '2';
pt(49).size      = '[]';
pt(49).isStruct  = false;
pt(49).symbol     = 'CANTest_P.gain2_Gain';
pt(49).baseaddr   = '&CANTest_P.gain2_Gain';
pt(49).dtname     = 'real_T';



  
pt(50).blockname = 'Mon_Cont/LPFM/d';
pt(50).paramname = 'InitialCondition';
pt(50).class     = 'scalar';
pt(50).nrows     = 1;
pt(50).ncols     = 1;
pt(50).subsource = 'SS_DOUBLE';
pt(50).ndims     = '2';
pt(50).size      = '[]';
pt(50).isStruct  = false;
pt(50).symbol     = 'CANTest_P.d_InitialCondition';
pt(50).baseaddr   = '&CANTest_P.d_InitialCondition';
pt(50).dtname     = 'real_T';



  
pt(51).blockname = 'Mon_Cont/LPFM/d1';
pt(51).paramname = 'InitialCondition';
pt(51).class     = 'scalar';
pt(51).nrows     = 1;
pt(51).ncols     = 1;
pt(51).subsource = 'SS_DOUBLE';
pt(51).ndims     = '2';
pt(51).size      = '[]';
pt(51).isStruct  = false;
pt(51).symbol     = 'CANTest_P.d1_InitialCondition';
pt(51).baseaddr   = '&CANTest_P.d1_InitialCondition';
pt(51).dtname     = 'real_T';



  
pt(52).blockname = '';
pt(52).paramname = 'Ts';
pt(52).class     = 'scalar';
pt(52).nrows     = 1;
pt(52).ncols     = 1;
pt(52).subsource = 'SS_DOUBLE';
pt(52).ndims     = '2';
pt(52).size      = '[]';
pt(52).isStruct  = false;
pt(52).symbol     = 'CANTest_P.Ts';
pt(52).baseaddr   = '&CANTest_P.Ts';
pt(52).dtname     = 'real_T';


function len = getlenPT
len = 52;

